Updates the project status with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
project_status| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the project status |
string |
Required Max length: 50 |
| is_default |
Is default (auto selected when creating new project) |
boolean | |
| is_closed |
Inform if this status means that the project/installation is archived |
boolean |
Required |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating project_status |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating project_status |
sales_organization | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "58e4d3c3-481d-41f8-bdee-3fb4870e6938",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "08006e20-8721-419b-9c84-e0870ca567fd",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "f772fff1-12d3-4cb3-bde6-ecc126f92bb7",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6d7434cf-add4-408b-bda8-9df101372a9c",
"db_currency_id": "d54bedc6-fdb5-4906-928c-169571a07493",
"db_language_id": "24b4f506-0388-466d-8bf9-723632bbca08",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-31T09:50:29.9896984+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-31T09:50:29.9896984+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.